# Find All Merchant Category Codes
source: https://developer.mastercard.com/places/documentation/use-cases/use-cases-3/index.md

## Find All Merchant Category Codes {#find-all-merchant-category-codes}

The Places API can be used to search all merchant categories and their names within the given parameters which can be utilized for finding popular merchants among locals, various trends in a season etc.
Diagram placesMerchantCodesDiagram

The response will consist of a list of all active merchant category codes and their names, which can be ordered by names or codes depending on your preference.
Tip: The process is similar for retrieving all merchant industry codes as well!

**RESTful GET Request**


API Reference: `GET /merchant-category-codes`

<br />

Note: This example we will limit the results set to 5

**RESTful Request Parameters**

```javascript
 limit=5
```

**RESTful Response:**

```json
{
  "total": 127,
  "offset": 0,
  "limit": 5,
  "items": [
    {
      "merchantCategoryCode": "5699",
      "merchantCategoryName": "ACCESSORY AND APPAREL STORES-MISCELLANEOUS"
    },
    {
      "merchantCategoryCode": "8931",
      "merchantCategoryName": "ACCOUNTING  AUDITING AND BOOKKEEPING SERVICES"
    },
    {
      "merchantCategoryCode": "7311",
      "merchantCategoryName": "ADVERTISING SERVICES"
    },
    {
      "merchantCategoryCode": "0004",
      "merchantCategoryName": "AIR CARRIERS  AIRLINES-NOT ELSEWHERE CLASSIFIED"
    },
    {
      "merchantCategoryCode": "8641",
      "merchantCategoryName": "ASSOCIATIONS-CIVIC  SOCIAL  AND FRATERNAL"
    }
  ]
}
```

